Usuários
Bloquear usuário
Remove o vínculo do usuário com a loja, revogando o acesso dele.
POST
/manager/user/blockAuthorization
bearerAuth gatewayKey AuthorizationBearer <token>
Token JWT no formato: Bearer {token}
In: header
ocp-apim-subscription-key<token>
Gateway Token recebido na criacao da loja.
In: header
Request Body
application/json
Corpo da requisição.
TypeScript Definitions
Use the request body type in TypeScript.
Response Body
application/json
application/json
application/json
curl -X POST "https://api.smarttef.mobi/manager/user/block" \ -H "Content-Type: application/json" \ -d '{ "email": "maria.gerente@exemplo.com.br" }'Empty
{
"status": 400,
"data": {
"message": "user not found",
"timestamp": "2026-02-09T12:00:00.000Z",
"path": "/manager/user/block"
}
}{
"status": 401,
"data": {
"message": [
"Unauthorized",
"Token não e do tipo loja, verifique se o token está correto.",
"token not corresponds",
"Store not found",
"Store is not active or is blocked",
"Store is blocked. <cache>"
],
"timestamp": "2026-02-09T12:00:00.000Z",
"path": "/manager/user/block"
}
}{
"status": 500,
"data": {
"message": "Internal Server Error",
"timestamp": "2026-02-09T12:00:00.000Z",
"path": "/manager/user/block"
}
}